### Method

# Gimp Matrix4 transform_point

#### Declaration [src]

    gdouble
    gimp_matrix4_transform_point (
      const GimpMatrix4* matrix,
      gdouble x,
      gdouble y,
      gdouble z,
      gdouble* newx,
      gdouble* newy,
      gdouble* newz
    )

#### Description [src]

Transforms a point in 3D as specified by the transformation matrix.

Available since: | 2.10.16

#### Parameters

`x` | `gdouble`
| The source X coordinate.
`y` | `gdouble`
| The source Y coordinate.
`z` | `gdouble`
| The source Z coordinate.
`newx` | `gdouble*`
| The transformed X coordinate.
| The argument will be set by the function.
`newy` | `gdouble*`
| The transformed Y coordinate.
| The argument will be set by the function.
`newz` | `gdouble*`
| The transformed Z coordinate.
| The argument will be set by the function.

#### Return value

Returns: | `gdouble`
| The transformed W coordinate.